Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.CursorShape

    java.lang.Object
      java.lang.Enum<Qt.CursorShape>
          com.trolltech.qt.core.Qt.CursorShape

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.CursorShape>

Enclosing interface:
  Qt

    public static enum Qt.CursorShape

extends java.lang.Enum<Qt.CursorShape>
implements QtEnumerator

This enum type defines the various cursors that can be used.

The standard arrow cursor is the default for widgets in a normal state.

Enum Constant Summary
`ArrowCursor` The standard arrow cursor.
`BitmapCursor` Internal.
`BlankCursor` A blank/invisible cursor, typically used when the cursor shape needs to be hidden.
`BusyCursor` An hourglass or watch cursor, usually shown during operations that allow the user to interact with the application while they are performed in the background.
`ClosedHandCursor` A cursor representing a closed hand, typically used to indicate that a dragging operation is in progress that involves scrolling.
`CrossCursor` A crosshair cursor, typically used to help the user accurately select a point on the screen.
`CustomCursor` Internal.
`ForbiddenCursor` A slashed circle cursor, typically used during drag and drop operations to indicate that dragged content cannot be dropped on particular widgets or inside certain regions.
`IBeamCursor` A caret or ibeam cursor, indicating that a widget can accept and display text input.
`OpenHandCursor` A cursor representing an open hand, typically used to indicate that the area under the cursor is the visible part of a canvas that the user can click and drag in order to scroll around.
`PointingHandCursor` A pointing hand cursor that is typically used for clickable elements such as hyperlinks.
`SizeAllCursor` A cursor used for elements that are used to resize top-level windows in any direction.
`SizeBDiagCursor` A cursor used for elements that are used to diagonally resize top-level windows at their top-right and bottom-left corners.
`SizeFDiagCursor` A cursor used for elements that are used to diagonally resize top-level windows at their top-left and bottom-right corners.
`SizeHorCursor` A cursor used for elements that are used to horizontally resize top-level windows.
`SizeVerCursor` A cursor used for elements that are used to vertically resize top-level windows.
`SplitHCursor` A cursor used for horizontal splitters, indicating that a handle can be dragged vertically to adjust the use of available space.
`SplitVCursor` A cursor used for vertical splitters, indicating that a handle can be dragged horizontally to adjust the use of available space.
`UpArrowCursor` An arrow pointing upwards toward the top of the screen.
`WaitCursor` An hourglass or watch cursor, usually shown during operations that prevent the user from interacting with the application.
`WhatsThisCursor` An arrow with a question mark, typically used

Method Summary
`static Qt.CursorShape` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.CursorShape` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.CursorShape[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ArrowCursor

    public static final Qt.CursorShape ArrowCursor

  The standard arrow cursor.

### UpArrowCursor

    public static final Qt.CursorShape UpArrowCursor

  An arrow pointing upwards toward the top of the screen.

### CrossCursor

    public static final Qt.CursorShape CrossCursor

  A crosshair cursor, typically used to help the user accurately select a point on the screen.

### WaitCursor

    public static final Qt.CursorShape WaitCursor

  An hourglass or watch cursor, usually shown during operations that prevent the user from interacting with the application.

### IBeamCursor

    public static final Qt.CursorShape IBeamCursor

  A caret or ibeam cursor, indicating that a widget can accept and display text input.

### SizeVerCursor

    public static final Qt.CursorShape SizeVerCursor

  A cursor used for elements that are used to vertically resize top-level windows.

### SizeHorCursor

    public static final Qt.CursorShape SizeHorCursor

  A cursor used for elements that are used to horizontally resize top-level windows.

### SizeBDiagCursor

    public static final Qt.CursorShape SizeBDiagCursor

  A cursor used for elements that are used to diagonally resize top-level windows at their top-right and bottom-left corners.

### SizeFDiagCursor

    public static final Qt.CursorShape SizeFDiagCursor

  A cursor used for elements that are used to diagonally resize top-level windows at their top-left and bottom-right corners.

### SizeAllCursor

    public static final Qt.CursorShape SizeAllCursor

  A cursor used for elements that are used to resize top-level windows in any direction.

### BlankCursor

    public static final Qt.CursorShape BlankCursor

  A blank/invisible cursor, typically used when the cursor shape needs to be hidden.

### SplitVCursor

    public static final Qt.CursorShape SplitVCursor

  A cursor used for vertical splitters, indicating that a handle can be dragged horizontally to adjust the use of available space.

### SplitHCursor

    public static final Qt.CursorShape SplitHCursor

  A cursor used for horizontal splitters, indicating that a handle can be dragged vertically to adjust the use of available space.

### PointingHandCursor

    public static final Qt.CursorShape PointingHandCursor

  A pointing hand cursor that is typically used for clickable elements such as hyperlinks.

### ForbiddenCursor

    public static final Qt.CursorShape ForbiddenCursor

  A slashed circle cursor, typically used during drag and drop operations to indicate that dragged content cannot be dropped on particular widgets or inside certain regions.

### WhatsThisCursor

    public static final Qt.CursorShape WhatsThisCursor

  An arrow with a question mark, typically used

### BusyCursor

    public static final Qt.CursorShape BusyCursor

  An hourglass or watch cursor, usually shown during operations that allow the user to interact with the application while they are performed in the background.

### OpenHandCursor

    public static final Qt.CursorShape OpenHandCursor

  A cursor representing an open hand, typically used to indicate that the area under the cursor is the visible part of a canvas that the user can click and drag in order to scroll around.

### ClosedHandCursor

    public static final Qt.CursorShape ClosedHandCursor

  A cursor representing a closed hand, typically used to indicate that a dragging operation is in progress that involves scrolling.

### BitmapCursor

    public static final Qt.CursorShape BitmapCursor

  Internal.

### CustomCursor

    public static final Qt.CursorShape CustomCursor

  Internal.

Method Detail

### values

    public static final Qt.CursorShape[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.CursorShape c : Qt.CursorShape.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.CursorShape valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.CursorShape resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD